<SOLVED> Apt: Stuck in dependency circle...

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
mallo
Level 1
Level 1
Posts: 2
Joined: Thu May 24, 2018 12:59 pm

<SOLVED> Apt: Stuck in dependency circle...

Post by mallo » Thu May 24, 2018 1:21 pm

Hello, this is my first post on this forum. :mrgreen:

So, I wanted to remove the "apache2" package which I had installed a long time ago, but never got around to configuring... When I wanted to purge it, it said:

Code: Select all

The following additional packages will be installed:
  lynx lynx-cur
"Okay, that's weird", i thought. "But let's go on with the removal, I'll just remove them later."
But! Upon trying to purge lynx (or, rather just lynx-cur, as synaptic told me), it shows the opposite of apache's message:

Code: Select all

The following additional packages will be installed:
  apache2
How can I get rid of both of those packages?
Last edited by mallo on Thu May 24, 2018 4:14 pm, edited 1 time in total.


mallo
Level 1
Level 1
Posts: 2
Joined: Thu May 24, 2018 12:59 pm

Re: Apt: Stuck in dependency circle...

Post by mallo » Thu May 24, 2018 4:14 pm

Thank you, that did the trick. It turned out that they were being "required" by gitweb (which can use Apache) which in turn was required by gitall. After removing gitall I was able to remove the rest of the stuff.

Post Reply

Return to “Software & Applications”